function R2 = Sigma2R2(Sigma, SigmaStar, xnames, label)
% SIGMA2R2 ...
% R2 = Sigma2R2(Sigma, SigmaStar, xnames, label)
%
%   ...

%% VERSION INFO
% AUTHOR    : Elmar Mertens
% $DATE     : 27-Apr-2010 15:13:46 $
% $Revision : 1.00 $
% DEVELOPED : 7.8.0.347 (R2009a)
% FILENAME  : Sigma2R2.m

if nargin < 3
   xnames = [];
end
if nargin < 4
   label = [];
end
if nargin == 1 && isstruct(Sigma)
   SigmaStar = Sigma.SigmaStar;
   xnames    = Sigma.Snames;
   if isfield(Sigma, 'label')
      label     = Sigma.label;
   else
      label     = inputname(1);
   end
   Sigma     = Sigma.Sigma;
end


n        = length(Sigma);

R2       = ones(n, 1);
ndx      = diag(Sigma) ~= 0;

R2(ndx)  = 1 - diag(SigmaStar(ndx, ndx)) ./ diag(Sigma(ndx, ndx));

%% report outputs to screen
if nargout == 0
   
   if ~isempty(xnames)
      fprintf('%10s', 'R2 for')
      fprintf('\t%10s', xnames{:})
      fprintf('\n')
   end
   fprintf('%10s', label)
   fprintf('\t%10.6f', R2)
   fprintf('\n')
   
end