%% BASELINE CALIBRATION VALUES FOR NK MODEL


%% model parameters
% policy weights
alpha_x  = .5; 
alpha_p  = 1 - alpha_x; 

% stochastic processes
rho      = .9;
sig_eta  = 1;
sig_eps  = 1;
sig_n    = 1;


% preferences
beta    = .99;
phi     = 1;   % inverse Frisch labor elasticity
sigma   = 1;   % Risk-Aversion / Inverse IES

% Philipps Curve
theta   = .75;    % Calvo Probability of *not* resetting price
kappa   = (1 - theta) * (1 - beta * theta) / theta * (sigma + phi); % lambda  = (1 - theta) * (1 - beta * theta) / theta;

% indexation rate (price setting)
% gamma   = 1;

% Markup
mu      = .5;  % steady state markup
nu      = -mu; % subsidy, offsetting markup

