function flag = dimchk(m, n1, n2)
% DIMCHK check dimensions of a matrix
%
% USAGE flag = dimchk(m, n1, n2)
% and returns flag = isequal(size(m), [n1 n2]);
% if nargout == 0, an error statement is issued if necessary

% elmar mertens
% www.elmarmertens.ch

flag = isequal(size(m), [n1 n2]);

if nargout == 0 && ~flag
   error('%s has wrong dimension: it is %d x %d instead of %d x %d', inputname(1), size(m,1), size(m,2), n1, n2)
end