function s = string4ini(varname, varvalue)
% STRING4INI generates a string which can be evaluated to initialize a
% variable with a give parameter value (if the variables does not yet exist)
% calling string4ini(VARNAME, VALUE) returns 
% "if ~exist(''VARNAME'', ''var''), VARNAME = VALUE; end" 
% where VARNAME is a string and VALUE is a number
%
% See also eval

%% VERSION INFO 
% AUTHOR    : Elmar Mertens 
% $DATE     : 26-May-2010 16:32:41 $ 
% $Revision : 1.00 $ 
% DEVELOPED : 7.8.0.347 (R2009a) 
% FILENAME  : string4ini.m 

if isnumeric(varvalue)
    s = sprintf('if ~exist(''%s'', ''var''), %s = %f; end', varname, varname, varvalue);
else
    s = sprintf('if ~exist(''%s'', ''var''), %s = %s; end', varname, varname, varvalue);
end

