function wrapcf(figurename, wrap)
%--------------------------------------------------------------
% Prints the current figure to file 'figurename' as fig, eps, jpg and pdf.
% wrap designates the target directory in which images will be stored
% if wrap is empty, no image will be stored
%--------------------------------------------------------------
% function wrapcf(figurename, wrap)

%   Coded by  Elmar Mertens, em@elmarmertens.com

if nargin < 2
    wrap = [];
end

if ~isempty(wrap) 
    set(gcf, 'Renderer', 'painters') % to fix date axis bug
    fullfigurename = fullfile(wrap, figurename);
    print('-depsc', '-r300', fullfigurename);
end



